<div class="container">
  <div class="row p-3">
    <div class="col-md-12">
      <div class="card">
        <div class="card-body">
          {{!-- Table of beneficiaries --}}
          <div class="table-caption">
            <div>
              <h5 class="mb-0">{{@caption}}</h5>
              <p>{{@description}}</p>
            </div>
            {{#if (eq @caption "Beneficiaries")}}
              <div>
                <LinkTo type="button" @route="users.user.beneficiaries.add" class="btn btn-success mx-3">+ Add Beneficiary</LinkTo>
              </div>
            {{/if}}
          </div>
          <div class="table-responsive">
            <table class="table">
              {{!-- Table headers --}}
              <thead>
              {{#if (equate @caption "Beneficiaries")}}
                <tr>
                  <th>#</th>
                  <th>Email</th>
                  <th>Bank</th>
                  <th>IFSC</th>
                  <th>Account ID</th>
<!--                  <th>Actions</th>-->
                </tr>
              {{else}}
                <tr>
                  <th>#</th>
                  <th>Date</th>
                  <th>Payer Email</th>
                  <th>Payee Email</th>
                  <th>Amount</th>
                  <th>Type</th>
                  <th>Status</th>
                </tr>
              {{/if}}
              </thead>
              <tbody>
              {{!-- Rows of beneficiaries --}}
              {{#each @data as |d idx|}}
                {{#if (lt idx @limit)}}
                  {{#if (equate @caption "Beneficiaries")}}
                    <tr>
                      <td>{{arithmetic idx 1 "sum"}}</td>
                      <td>{{d.email}}</td>
                      <td>{{d.bank}}</td>
                      <td>{{d.ifsc}}</td>
                      <td>{{d.acct_id}}</td>
                      <td></td>
                      {{!--                <td><a type="button" href="DeleteBeneficiary?user_stub=<%= user.getUser_stub() %>&email=<%= d.getEmail() %>" style="text-decoration: none; color: #c40202; font-weight: 300">Remove️</a></td>--}}
                    </tr>
                  {{else}}
                    <tr>
                      <td>{{arithmetic idx 1 "sum"}}</td>
                      <td>{{format-date d.created_date}}</td>
                      <td>{{d.payer_email}}</td>
                      <td>{{d.payee_email}}</td>
                      <td>{{d.txn_amt}}</td>
                      <td style="text-transform: capitalize">{{d.txn_type}}</td>
                      <td style="color: darkgreen">{{d.txn_status}}</td>
                      <td></td>
                    </tr>
                  {{/if}}
                {{/if}}
              {{/each}}
              </tbody>
            </table>
          </div>
          {{#unless (equate @limit 999)}}
            <LinkTo type="button" @route="users.user.{{(case-change @caption "lowercase")}}" class="btn btn-outline-primary">View All {{@caption}} →</LinkTo>
          {{/unless}}
        </div>
      </div>
    </div>
  </div>
</div>
{{outlet}}